http://worklink.{region}.amazonaws.com/createFleetCreates a fleet. A fleet consists of resources and the configuration that delivers associated websites to authorized users who download and set up the Amazon WorkLink app.
The tags to add to the resource. A tag is a key-value pair.
A unique name for the fleet.
The fleet name to display.
The option to optimize for better performance by routing traffic through the closest AWS Region to users, which may be outside of your home Region.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://worklink.{region}.amazonaws.com/createFleet' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://worklink.{region}.amazonaws.com/createFleetCreates a fleet. A fleet consists of resources and the configuration that delivers associated websites to authorized users who download and set up the Amazon WorkLink app.
The tags to add to the resource. A tag is a key-value pair.
A unique name for the fleet.
The fleet name to display.
The option to optimize for better performance by routing traffic through the closest AWS Region to users, which may be outside of your home Region.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://worklink.{region}.amazonaws.com/createFleet' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}